require 'xds_b.ret.simpleapi'

local addElement = node.addElement
local setInner = node.setInner

RDSUrl = 'http://ihexds.nist.gov:12080/tf6/services/xdsrepositoryb'

function main(Data)
   
   local HTTPHeaders, PackagedBody = xds_b.ret.simpleapi.make{
      repositoryId='1.3.6.1.4.1.21367.2011.2.3.7', 
      documentId='1.42.20130705031122.190'} 
   
   local Response, Status = net.http.post{
      url=RDSUrl, 
      headers=HTTPHeaders, 
      body=PackagedBody, 
      live=true}
   
   local Status, Result = xds_b.ret.simpleapi.parseResponse{response=Response}
   
   if 'Success' == Status then
      queue.push{data=Result[1]}
   end

end