xds_b.ret.soap = {}

local setInner = node.setInner

function xds_b.ret.soap.new(I)
  local retDocumentSetSoapXML = [[   
   <soapenv:Envelope xmlns:soapenv='http://www.w3.org/2003/05/soap-envelope'
      xmlns:wsa='http://www.w3.org/2005/08/addressing'>
       <soapenv:Header>
           <wsa:To></wsa:To>
           <wsa:MessageID></wsa:MessageID>      
           <wsa:Action>urn:ihe:iti:2007:RetrieveDocumentSet</wsa:Action>
       </soapenv:Header>
       <soapenv:Body>
       </soapenv:Body>
   </soapenv:Envelope>
   ]]
   
   local XML = xml.parse{data=retDocumentSetSoapXML}
   
   local Root = XML['soapenv:Envelope']
   local HeaderRoot = Root['soapenv:Header']
   
   local Port = ''
   if I.port then
      Port = ':'..I.port
   end
   
   setInner(HeaderRoot['wsa:To'], I.protocol..'://'..I.host..Port..I.path)
   setInner(HeaderRoot['wsa:MessageID'], 'urn:uuid:'..ihe.getUUID())

   return XML
end
